# -*- encoding: utf-8 -*-
# stub: devise-token_authenticatable 0.5.2 ruby lib

Gem::Specification.new do |s|
  s.name = "devise-token_authenticatable".freeze
  s.version = "0.5.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sebastian Oelke".freeze]
  s.date = "2022-06-14"
  s.description = "This gem provides the extracted Token Authenticatable module of devise.\n                          It enables the user to sign in via an authentication token. This token\n                          can be given via a query string or HTTP Basic Authentication.".freeze
  s.email = ["dev@soelke.de".freeze]
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "devise-token_authenticatable.gemspec".freeze, "lib/devise-token_authenticatable.rb".freeze, "lib/devise/token_authenticatable.rb".freeze, "lib/devise/token_authenticatable/model.rb".freeze, "lib/devise/token_authenticatable/strategy.rb".freeze, "lib/devise/token_authenticatable/version.rb".freeze, "spec/factories/admin.rb".freeze, "spec/factories/user.rb".freeze, "spec/models/devise/token_authenticatable/model_spec.rb".freeze, "spec/requests/devise/token_authenticatable/strategy_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/helpers.rb".freeze, "spec/support/integration.rb".freeze, "spec/support/rails_app/Rakefile".freeze, "spec/support/rails_app/app/controllers/admins/sessions_controller.rb".freeze, "spec/support/rails_app/app/controllers/admins_controller.rb".freeze, "spec/support/rails_app/app/controllers/application_controller.rb".freeze, "spec/support/rails_app/app/controllers/home_controller.rb".freeze, "spec/support/rails_app/app/controllers/publisher/registrations_controller.rb".freeze, "spec/support/rails_app/app/controllers/publisher/sessions_controller.rb".freeze, "spec/support/rails_app/app/controllers/users_controller.rb".freeze, "spec/support/rails_app/app/mailers/users/mailer.rb".freeze, "spec/support/rails_app/app/models/admin.rb".freeze, "spec/support/rails_app/app/models/user.rb".freeze, "spec/support/rails_app/app/views/users/index.html.erb".freeze, "spec/support/rails_app/config.ru".freeze, "spec/support/rails_app/config/application.rb".freeze, "spec/support/rails_app/config/boot.rb".freeze, "spec/support/rails_app/config/database.yml".freeze, "spec/support/rails_app/config/environment.rb".freeze, "spec/support/rails_app/config/initializers/backtrace_silencers.rb".freeze, "spec/support/rails_app/config/initializers/devise.rb".freeze, "spec/support/rails_app/config/initializers/inflections.rb".freeze, "spec/support/rails_app/config/initializers/secret_token.rb".freeze, "spec/support/rails_app/config/initializers/session_store.rb".freeze, "spec/support/rails_app/config/routes.rb".freeze, "spec/support/rails_app/db/migrate/20100401102949_create_tables.rb".freeze, "spec/support/rails_app/db/schema.rb".freeze, "spec/support/rails_app/public/404.html".freeze, "spec/support/rails_app/public/422.html".freeze, "spec/support/rails_app/public/500.html".freeze, "spec/support/rails_app/public/favicon.ico".freeze, "spec/support/session_helper.rb".freeze, "spec/token_authenticatable_spec.rb".freeze]
  s.homepage = "https://github.com/baschtl/devise-token_authenticatable".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Provides authentication based on an authentication token for devise 3.2 and up.".freeze
  s.test_files = ["spec/factories/admin.rb".freeze, "spec/factories/user.rb".freeze, "spec/models/devise/token_authenticatable/model_spec.rb".freeze, "spec/requests/devise/token_authenticatable/strategy_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/helpers.rb".freeze, "spec/support/integration.rb".freeze, "spec/support/rails_app/Rakefile".freeze, "spec/support/rails_app/app/controllers/admins/sessions_controller.rb".freeze, "spec/support/rails_app/app/controllers/admins_controller.rb".freeze, "spec/support/rails_app/app/controllers/application_controller.rb".freeze, "spec/support/rails_app/app/controllers/home_controller.rb".freeze, "spec/support/rails_app/app/controllers/publisher/registrations_controller.rb".freeze, "spec/support/rails_app/app/controllers/publisher/sessions_controller.rb".freeze, "spec/support/rails_app/app/controllers/users_controller.rb".freeze, "spec/support/rails_app/app/mailers/users/mailer.rb".freeze, "spec/support/rails_app/app/models/admin.rb".freeze, "spec/support/rails_app/app/models/user.rb".freeze, "spec/support/rails_app/app/views/users/index.html.erb".freeze, "spec/support/rails_app/config.ru".freeze, "spec/support/rails_app/config/application.rb".freeze, "spec/support/rails_app/config/boot.rb".freeze, "spec/support/rails_app/config/database.yml".freeze, "spec/support/rails_app/config/environment.rb".freeze, "spec/support/rails_app/config/initializers/backtrace_silencers.rb".freeze, "spec/support/rails_app/config/initializers/devise.rb".freeze, "spec/support/rails_app/config/initializers/inflections.rb".freeze, "spec/support/rails_app/config/initializers/secret_token.rb".freeze, "spec/support/rails_app/config/initializers/session_store.rb".freeze, "spec/support/rails_app/config/routes.rb".freeze, "spec/support/rails_app/db/migrate/20100401102949_create_tables.rb".freeze, "spec/support/rails_app/db/schema.rb".freeze, "spec/support/rails_app/public/404.html".freeze, "spec/support/rails_app/public/422.html".freeze, "spec/support/rails_app/public/500.html".freeze, "spec/support/rails_app/public/favicon.ico".freeze, "spec/support/session_helper.rb".freeze, "spec/token_authenticatable_spec.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<devise>.freeze, [">= 4.0.0", "< 4.3.0"])
  s.add_development_dependency(%q<rails>.freeze, ["~> 4.2"])
  s.add_development_dependency(%q<rspec-rails>.freeze, ["~> 3.0"])
  s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
  s.add_development_dependency(%q<factory_girl_rails>.freeze, ["~> 4.4"])
  s.add_development_dependency(%q<timecop>.freeze, ["~> 0.7"])
  s.add_development_dependency(%q<bundler>.freeze, ["~> 1.11"])
  s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.3"])
end
